//
// JmsaConnectionMetaData.java - JMS Adapter ConnectionMetaData
//

package nyangau.jmsadapter;

import java.util.Enumeration;
import javax.jms.*;

public class JmsaConnectionMetaData implements ConnectionMetaData
  {
  protected ConnectionMetaData cmd;
//...sJmsaConnectionMetaData:2:
public JmsaConnectionMetaData(ConnectionMetaData connmd)
  { cmd = connmd; }
//...e
//...sJMS information:2:
// Simply defer these to the underlying implementation

public int getJMSMajorVersion()
  throws JMSException
  { return cmd.getJMSMajorVersion(); }

public int getJMSMinorVersion()
  throws JMSException
  { return cmd.getJMSMinorVersion(); }

public String getJMSVersion()
  throws JMSException
  { return cmd.getJMSVersion(); }
//...e
//...sProvider information:2:
public String getJMSProviderName()
  throws JMSException
  { return cmd.getJMSProviderName() + ", mediated by JMS Adapter"; }

public int getProviderMajorVersion()
  throws JMSException
  { return cmd.getProviderMajorVersion(); }

public int getProviderMinorVersion()
  throws JMSException
  { return cmd.getProviderMinorVersion(); }

public String getProviderVersion()
  throws JMSException
  { return cmd.getProviderVersion() + ", with JMS Adapter "+Jmsa.VERSION; }
//...e
//...sgetJMSXPropertyNames:2:
// For now we just return the properties provided by the underlying
// implementation, but in the future we may well add to the set.

public Enumeration getJMSXPropertyNames()
  throws JMSException
  { return cmd.getJMSXPropertyNames(); }
//...e
  }
